## migration-assistant 0.2

=== Makefile ===
ARGS=-g -Wall -D_GNU_SOURCE
LIBXML_LIBS := $(shell xml2-config --libs)
LIBXML_CFLAGS := $(shell xml2-config --cflags)
BIN=$(DESTDIR)/usr/bin

all: ma-import ma-search-items

registry.o : registry.h registry.c
	$(CC) $(ARGS) -c registry.c

ma-search-items : registry.o search-items.c
	$(CC) $(ARGS) -c search-items.c
	$(CC) $(ARGS) -o ma-search-items search-items.o registry.o

ma-import : gaim-import.o windows-import.o firefox-import.o import.o utils.o
	$(CC) $(ARGS) -c import.c
	$(CC) $(ARGS) $(LIBXML_LIBS) -o ma-import gaim-import.o windows-import.o firefox-import.o registry.o import.o utils.o

gaim-import.o : registry.o utils.o gaim-import.c
	$(CC) $(ARGS) $(LIBXML_CFLAGS) -c gaim-import.c

utils.o: utils.c utils.h
	$(CC) $(ARGS) $(LIBXML_CFLAGS) -c utils.c

firefox-import.o: firefox-import.c
	$(CC) $(ARGS) -c firefox-import.c

windows-import.o: windows-import.c utils.o
	$(CC) $(ARGS) -c windows-import.c

strip: ma-import ma-search-items
	strip --remove-section=.comment --remove-section=.note ma-import ma-search-items
clean :
	-rm -f *.o ma-import ma-search-items

install:
	install -d $(BIN)
	cp ma-import $(BIN)
	cp ma-search-items $(BIN)

.PHONY: clean install strip all

=== debian/changelog ===
migration-assistant (0.2) edgy; urgency=low

  * Ubiquity support.

 -- Evan Dandrea <evan@evalicious.com>  Thu, 31 Aug 2006 16:47:25 -0400

migration-assistant (0.1) edgy; urgency=low

  * Initial release.

 -- Evan Dandrea <evan@evalicious.com>  Tue,  1 Aug 2006 00:50:33 -0400

=== debian/control ===
Source: migration-assistant
Section: debian-installer
Priority: optional
Maintainer: Evan Dandrea <evan@evalicious.com>
Build-Depends: debhelper (>= 4.0), debconf (>= 0.5.0), libxml2-dev (>= 2.6.24)

Package: migration-assistant
Architecture: any
XB-Installer-Menu-Item: 64
Depends: ${shlibs:Depends}, cdebconf-udeb, made-filesystems, os-prober
XB-Package-Type: udeb
Description: Import documents and settings from existing operating systems

=== debian/rules ===
#!/usr/bin/make -f
PACKAGE=migration-assistant

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install
	dh_installdirs usr/lib/finish-install.d
	install -m0755 debian/finish-install debian/$(PACKAGE)/usr/lib/finish-install.d/80migration-assistant
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_strip
	# dh_compress # Needed?  Not installing anything in doc.
	dh_fixperms
	cp debian/isinstallable debian/$(PACKAGE)/DEBIAN/isinstallable
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## migration-assistant 0.6.1

=== debian/changelog ===
migration-assistant (0.6.1) hardy; urgency=low

  * Use + instead of : for a replacement character as it is explicitly
    allowed by debconf policy.
  * Look in .purple for Pidgin settings as well.

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 07 Apr 2008 11:16:20 -0400

migration-assistant (0.6.0) hardy; urgency=low

  * Copy NTFS mount fix.
  * Removed dead ubiquity-specific code in ma-ask.
  * Cleaned up ma-ask and ma-apply.
  * Fix potential bugs where RET could get set to an error description and
    then be used as the answer to other questions.
  * Add the user to the groups specified by user-setup-udeb.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 24 Jan 2008 09:25:41 +0000

migration-assistant (0.5.4) gutsy; urgency=low

  * Added a short timeout and retry to unmounting to accomodate slow umounts
    (LP: #135149).

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 15 Oct 2007 11:54:33 -0400

migration-assistant (0.5.3) gutsy; urgency=low

  * Move initialize_registry_paths call later to avoid situations where
    other needed variables may not be set yet, causing m-a to fail.
  * Fix logging.
  * Fix IFS handling around call to expr.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 09 Oct 2007 10:58:09 -0400

migration-assistant (0.5.2) gutsy; urgency=low

  * Fix IFS handling (LP: #145712, #135149)

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 03 Oct 2007 22:27:20 -0400

migration-assistant (0.5.1) gutsy; urgency=low

  [ Colin Watson ]
  * In the Windows case in mount_os:
    - Look in /proc/mounts, not /proc/partitions.
    - Look in /proc/mounts before /etc/mtab.
    - Make sure to select only the first mountpoint for a given device (in
      case of bind mounts).

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 21 Sep 2007 21:48:48 -0400

migration-assistant (0.5.0) gutsy; urgency=low

  * Handle more than one installed copy of Windows (LP: #97081).
  * Error if unable to mount Linux partitions.
  * Bump installer-menu-item to 6400.
  * Close directories in ma-search-users.
  * Don't unmount devices when we can avoid having to.
  * Look for registry files case-insensitively.
  * Quote arguments to add_user (LP: #123425).
  * Use stat instead of the DT_ macros to avoid issues with fuse.
  * Add a debug log.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 31 Jul 2007 20:21:35 -0400

migration-assistant (0.4.5) feisty; urgency=low

  * Proper grep for mounted devices. (LP: #99004)

 -- Evan Dandrea <evand@ubuntu.com>  Thu,  5 Apr 2007 02:27:15 -0400

migration-assistant (0.4.4) feisty;  urgency=low

  * Grab the location of Documents and Settings from the registry.
    (LP: #95152)

 -- Evan Dandrea <evand@ubuntu.com>  Wed,  4 Apr 2007 15:09:17 -0400

migration-assistant (0.4.3) feisty; urgency=low

  * Possible fix for ostype not getting set in the -ask and -apply
    scripts.  Also added some temporary debugging information.
    (LP: #93197)
  * If the /home partition device doesn't exist under the same name in
    the running kernel, fail gracefully and continue to the next OS.
    (LP: #94878)
  * Added more logging and crash partial recovery.
  * Gracefully fail and continue on items where a non C: drive letter
    comes into play. (LP: #95422)
  * Don't import Windows default bookmarks.  Import, but don't set
    "Bliss" as the default wallpaper.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 27 Mar 2007 03:44:25 -0400

migration-assistant (0.4.2) feisty; urgency=low

  * Added XS-Vcs-Bzr field to debian/control.
  * Mount /home if necessary. (LP: 85222)
  * Display an error on unmount failure and prompt the user to continue.
    (LP: 89605)
  * Put usage statements on stderr. (LP: 89821)

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 21 Mar 2007 22:16:29 -0400

migration-assistant (0.4.1) feisty; urgency=low

  * Added proper support for the Windows registry's use of UTF-16 strings.
  * Grab locations from the registry rather than assuming that everything is
    a subdirectory of Documents and Settings.
  * Don't fail when trying to copy empty files.
  * Fix incorrect detection of Firefox and AIM Triton.
  * Handle spaces in usernames.

 -- Evan Dandrea <evand@ubuntu.com>  Sat,  3 Mar 2007 17:57:46 -0500

migration-assistant (0.4) feisty; urgency=low

  * Added Outlook Express and Evolution account support.
  * Don't assume Windows XP means a NTFS formatted drive (LP #85330).
  * Unmount by device, not mountpoint (LP #85222).
  * Gracefully handle empty registry string values.
  * Fixed a bug where the non bookmarks toolbar folders were getting
    marked as being one.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 16 Feb 2007 14:49:25 -0500

migration-assistant (0.3.1) feisty; urgency=low

  * Added a reference to common-licenses and added a long description.

 -- Evan Dandrea <evand@ubuntu.com>  Thu,  8 Feb 2007 09:43:04 -0500

migration-assistant (0.3) feisty; urgency=low

  * Added tests for empty passwords, reserved usernames, bad usernames and
    more.
  * removed the administrator debconf option.
  * fixed quite a few bugs in ma-ask's regular expressions, mounting of
    filesystems and ifs handling.
  * Added bookmarks importing from Firefox and IE.
  * Removed the last bit of code referencing the administrator, allowing
    installs to work again.

 -- Evan Dandrea <evand@ubuntu.com>  Tue,  6 Feb 2007 00:58:57 -0500

## migration-assistant 0.6.2

=== debian/changelog ===
migration-assistant (0.6.2) intrepid; urgency=low

  * Several fixes from Olivier Blin of Mandriva:
    - Close file descriptors when they're no longer needed.
    - Move a closedir() call, it can free data returned by readdir() too
      early.  It leads to path corruption in some cases.
    - Fix a segfault with files with no extension.
    - Remove a spurious directory creation, with uninitialized name.
    - Fix Windows 2000 migration, by not trying to import music if not
      present.
    - Fix detection of Windows-NT-like registry path in ma-search-users, by
      splitting and reusing WINNT code from utils.c
    - Reimplement copy using read/write (like cp) to handle large files,
      since we can't mmap() (twice) large files in memory.
    - fix segfault by zeroing buffers for strcat.
    - Improve WINNT patch to factorize user registry location as well.
    - Vista profile directories support.  Get profiles directory from
      registry for ma-search-items and ma-import as well ("Documents and
      Settings" is not correct in Vista), this also allows us to read the
      user registries.
    - Vista users support.  Filter Public and Default users for Vista (from
      registry keys).  Filter "Default User" key in Vista (it is a junction
      to Default).  Do not segfault if keys are missing.
  * More efficient and less error-prone device substring extraction.
  * Set the locale to C when using expr.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 27 May 2008 14:07:31 -0400

## migration-assistant 0.6.3

=== debian/changelog ===
migration-assistant (0.6.3) hardy-proposed; urgency=low

  * More efficient and less error-prone device substring extraction.
  * Set the locale to C when using expr (LP: #222690).

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 29 May 2008 12:20:35 -0400

## migration-assistant 0.6.6

=== debian/changelog ===
migration-assistant (0.6.6) lucid-proposed; urgency=low

  * unmount_os can be called without arguments (LP: #536673).

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 29 Apr 2010 09:53:21 +0100

migration-assistant (0.6.5) lucid; urgency=low

  * Skip comments in /etc/fstab (LP 536673).
  * Catch empty arguments to unmount_os (LP 536673).
  * Continue to the next operating system if mount_os fails.
  * Clean up mount_os.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 23 Apr 2010 15:26:23 +0100

migration-assistant (0.6.4build1) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sun, 07 Mar 2010 00:57:04 +0100

migration-assistant (0.6.4) jaunty; urgency=low

  * If there are no items to import, don't bother asking the question.
    This supports a change to ubiquity to not always show the migration-
    assistant page.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 09 Apr 2009 10:34:46 +0100

migration-assistant (0.6.3) jaunty; urgency=low

  * Rename Gaim to Pidgin.  Thanks Mike Rooney (LP: #224797).
  * Do not force chpasswd to md5 crypt passwords (LP: #51551).

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 09 Apr 2009 10:26:16 +0100

## migration-assistant 0.6.7trisquel1

=== Makefile ===
ARGS=-g -Wall -D_GNU_SOURCE
LIBXML_LIBS := $(shell xml2-config --libs)
LIBXML_CFLAGS := $(shell xml2-config --cflags)
BIN=$(DESTDIR)/usr/bin

all: ma-import ma-search-items ma-search-users

registry.o : registry.c registry.h
	$(CC) $(ARGS) -c registry.c
# TODO: Split XML utils out of regular utils.
ma-search-users : registry.o utils.o ma-search-users.c
	$(CC) $(ARGS) -c ma-search-users.c
	$(CC) $(ARGS) $(LIBXML_LIBS) -o ma-search-users ma-search-users.o registry.o utils.o

ma-search-items : registry.o utils.o search-items.c
	$(CC) $(ARGS) -c search-items.c
	$(CC) $(ARGS) $(LIBXML_LIBS) -o ma-search-items search-items.o registry.o utils.o

ma-import : gaim-import.o windows-import.o evolution-import.o firefox-import.o import.o utils.o
	$(CC) $(ARGS) -c import.c
	$(CC) $(ARGS) $(LIBXML_LIBS) -o ma-import gaim-import.o windows-import.o firefox-import.o evolution-import.o registry.o import.o utils.o

evolution-import.o : registry.o utils.o evolution-import.c
	$(CC) $(ARGS) $(LIBXML_CFLAGS) -c evolution-import.c

gaim-import.o : registry.o utils.o gaim-import.c
	$(CC) $(ARGS) $(LIBXML_CFLAGS) -c gaim-import.c

utils.o: utils.c utils.h
	$(CC) $(ARGS) $(LIBXML_CFLAGS) -c utils.c

firefox-import.o: firefox-import.c registry.o
	$(CC) $(ARGS) -c firefox-import.c

windows-import.o: windows-import.c utils.o registry.o
	$(CC) $(ARGS) -c windows-import.c

strip: ma-import ma-search-items
	strip --remove-section=.comment --remove-section=.note ma-import ma-search-items
clean :
	-rm -f *.o ma-import ma-search-items ma-search-users

install:
	install -d $(BIN)
	cp ma-import $(BIN)
	cp ma-search-items $(BIN)

.PHONY: clean install strip all

=== debian/changelog ===
migration-assistant (0.6.7trisquel1) slaine; urgency=low

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 05 May 2011 15:42:43 +0000

migration-assistant (0.6.7) maverick; urgency=low

  * No change upload for Maverick.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 29 Jun 2010 16:15:57 +0100

=== debian/control ===
Source: migration-assistant
Section: debian-installer
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper (>= 4.0), debconf (>= 0.5.0), libxml2-dev (>= 2.6.24)
Standards-Version: 3.6.2.1
XS-Vcs-Bzr: http://bazaar.launchpad.net/~evand/migration-assistant/trunk

Package: migration-assistant
Architecture: any
XB-Installer-Menu-Item: 6400
Depends: ${shlibs:Depends}, cdebconf-udeb, made-filesystems, os-prober, user-setup
XC-Package-Type: udeb
Description: Import documents and settings from existing operating systems
 migration-assistant is a utility that imports documents and settings from
 other operating systems into the current system.  These can include, but
 are not limited to, pictures, music files, background images, and bookmarks.

## migration-assistant 0.6.10+5.0trisquel1

=== debian/changelog ===
migration-assistant (0.6.10+5.0trisquel1) dagda; urgency=low

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 05 Sep 2011 17:02:25 +0000

migration-assistant (0.6.10) natty; urgency=low

  * Filter out the target filesystem from consideration (LP: #754778).

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 12 Apr 2011 16:17:18 +0100

migration-assistant (0.6.9) natty; urgency=low

  * Reuse os-prober's newns to ensure that mounts are occuring in a new
    namespace (LP: #739400).

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 28 Mar 2011 12:58:14 +0100

migration-assistant (0.6.8) natty; urgency=low

  * Fix linking to libxml2.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 19 Nov 2010 17:02:15 +0000

## migration-assistant 0.6.10+5.5trisquel1

=== debian/changelog ===
migration-assistant (0.6.10+5.5trisquel1) brigantia; urgency=low

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 05 Apr 2012 14:36:00 +0000

## migration-assistant 0.6.12

=== Makefile ===
--- 
+++ 
@@ -10,15 +10,15 @@
 # TODO: Split XML utils out of regular utils.
 ma-search-users : registry.o utils.o ma-search-users.c
 	$(CC) $(ARGS) -c ma-search-users.c
-	$(CC) $(ARGS) $(LIBXML_LIBS) -o ma-search-users ma-search-users.o registry.o utils.o
+	$(CC) $(ARGS) -o ma-search-users ma-search-users.o registry.o utils.o $(LIBXML_LIBS) 
 
 ma-search-items : registry.o utils.o search-items.c
 	$(CC) $(ARGS) -c search-items.c
-	$(CC) $(ARGS) $(LIBXML_LIBS) -o ma-search-items search-items.o registry.o utils.o
+	$(CC) $(ARGS) -o ma-search-items search-items.o registry.o utils.o $(LIBXML_LIBS)
 
 ma-import : gaim-import.o windows-import.o evolution-import.o firefox-import.o import.o utils.o
 	$(CC) $(ARGS) -c import.c
-	$(CC) $(ARGS) $(LIBXML_LIBS) -o ma-import gaim-import.o windows-import.o firefox-import.o evolution-import.o registry.o import.o utils.o
+	$(CC) $(ARGS) -o ma-import gaim-import.o windows-import.o firefox-import.o evolution-import.o registry.o import.o utils.o $(LIBXML_LIBS)
 
 evolution-import.o : registry.o utils.o evolution-import.c
 	$(CC) $(ARGS) $(LIBXML_CFLAGS) -c evolution-import.c

=== debian/changelog ===
migration-assistant (0.6.12) precise; urgency=low

  * Call os-prober with WINOSDATA set to true so that we only get a list
    of Windows partitions containing the OS instead of only these containing
    the boot record. (LP: #772470)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 04 Apr 2012 18:38:32 -0400

migration-assistant (0.6.11) precise; urgency=low

  * Fix a syntax error (LP: #930676). Thanks Colin Watson.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 21 Mar 2012 21:44:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: migration-assistant
 Section: debian-installer
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Evan Dandrea <evand@ubuntu.com>
 Build-Depends: debhelper (>= 4.0), debconf (>= 0.5.0), libxml2-dev (>= 2.6.24)
 Standards-Version: 3.6.2.1
 XS-Vcs-Bzr: http://bazaar.launchpad.net/~evand/migration-assistant/trunk

## migration-assistant 0.6.12+7.0trisquel1

=== debian/changelog ===
migration-assistant (0.6.12+7.0trisquel1) belenos; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 07 Jul 2014 21:39:25 +0200

## migration-assistant 0.6.12+8.0trisquel1

=== debian/changelog ===
migration-assistant (0.6.12+8.0trisquel1) flidas; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 06 Mar 2017 00:46:06 +0000

## migration-assistant 0.6.13

=== Makefile ===
ARGS=-g -Wall -D_GNU_SOURCE
LIBXML_LIBS := $(shell xml2-config --libs)
LIBXML_CFLAGS := $(shell xml2-config --cflags)
BIN=$(DESTDIR)/usr/bin
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

all: ma-import ma-search-items ma-search-users

registry.o : registry.c registry.h
	$(CC) $(CFLAGS) $(CPPFLAGS) $(ARGS) -c registry.c
# TODO: Split XML utils out of regular utils.
ma-search-users : registry.o utils.o ma-search-users.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(ARGS) -c ma-search-users.c
	$(CC) $(LDFLAGS) $(ARGS) -o ma-search-users ma-search-users.o registry.o utils.o $(LIBXML_LIBS) 

ma-search-items : registry.o utils.o search-items.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(ARGS) -c search-items.c
	$(CC) $(LDFLAGS) $(ARGS) -o ma-search-items search-items.o registry.o utils.o $(LIBXML_LIBS)

ma-import : gaim-import.o windows-import.o evolution-import.o firefox-import.o import.o utils.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(ARGS) -c import.c
	$(CC) $(LDFLAGS) $(ARGS) -o ma-import gaim-import.o windows-import.o firefox-import.o evolution-import.o registry.o import.o utils.o $(LIBXML_LIBS)

evolution-import.o : registry.o utils.o evolution-import.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(ARGS) $(LIBXML_CFLAGS) -c evolution-import.c

gaim-import.o : registry.o utils.o gaim-import.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(ARGS) $(LIBXML_CFLAGS) -c gaim-import.c

utils.o: utils.c utils.h
	$(CC) $(CFLAGS) $(CPPFLAGS) $(ARGS) $(LIBXML_CFLAGS) -c utils.c

firefox-import.o: firefox-import.c registry.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(ARGS) -c firefox-import.c

windows-import.o: windows-import.c utils.o registry.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(ARGS) -c windows-import.c

strip: ma-import ma-search-items
	strip --remove-section=.comment --remove-section=.note ma-import ma-search-items
clean :
	-rm -f *.o ma-import ma-search-items ma-search-users

install:
	install -d $(BIN)
	cp ma-import $(BIN)
	cp ma-search-items $(BIN)

.PHONY: clean install strip all

=== debian/changelog ===
migration-assistant (0.6.13) zesty; urgency=medium

  * debian/compat: Bump to 10.
  * debian/control:
    - Build-depend on debhelper (>= 10).
    - Depend on ${misc:Depends}.
    - Bump Standards-Version to 3.9.8.
  * debian/rules:
    - Add recommended build-arch and build-indep targets.
    - Use dh_prep instead of dh_clean -k.
  * Makefile: Pass in {C,CPP,LD}FLAGS to compiler commands for hardening.
  * {ma-search-users,search-items}.c: Add format argument to printf().

 -- Logan Rosen <logan@ubuntu.com>  Wed, 11 Jan 2017 00:31:22 -0500

=== debian/control ===
Source: migration-assistant
Section: debian-installer
Priority: optional
Maintainer: Evan Dandrea <evand@ubuntu.com>
Build-Depends: debhelper (>= 10), debconf (>= 0.5.0), libxml2-dev (>= 2.6.24)
Standards-Version: 3.9.8
XS-Vcs-Bzr: http://bazaar.launchpad.net/~evand/migration-assistant/trunk

Package: migration-assistant
Architecture: any
XB-Installer-Menu-Item: 6400
Depends: ${misc:Depends}, ${shlibs:Depends}, cdebconf-udeb, made-filesystems, os-prober, user-setup
XC-Package-Type: udeb
Description: Import documents and settings from existing operating systems
 migration-assistant is a utility that imports documents and settings from
 other operating systems into the current system.  These can include, but
 are not limited to, pictures, music files, background images, and bookmarks.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 PACKAGE=migration-assistant
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp:
 	dh_testdir
@@ -12,13 +14,13 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_install
 	dh_installdirs usr/lib/finish-install.d
 	install -m0755 debian/finish-install debian/$(PACKAGE)/usr/lib/finish-install.d/80migration-assistant
@@ -31,7 +33,7 @@
 	dh_testroot
 	dh_installdebconf
 	dh_strip
-	# dh_compress # Needed?  Not installing anything in doc.
+	dh_compress
 	dh_fixperms
 	cp debian/isinstallable debian/$(PACKAGE)/DEBIAN/isinstallable
 	dh_installdeb

## migration-assistant 0.6.13+9.0trisquel1

=== debian/changelog ===
migration-assistant (0.6.13+9.0trisquel1) etiona; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 13 Sep 2019 22:01:46 +0000
